Subject: Re: [PATCH v3 1/2] net: core: Notify on changes to dev->promiscuity.

From: Andrew Lunn <[email-masked]>
Date: Thu, 29 Aug 2019 15:26:11 +0200

> NACK
> 
> This is invalid usecase for switchdev infra. Switchdev is there for
> bridge offload purposes only.

Hi Jiri

I would argue this is for bridge offload. In another email, you say
promisc is promisc. Does that mean the Mellonox hardware forwards
every frame ingressing a port to the CPU by default as soon as it is
enslaved to a bridge and promisc mode turned on? Or course not. At the
moment, every switchdev driver wrongly implement promisc mode.

This patchset is about correctly implementing promisc mode, so that
applications can use it as expected. And that means configuring the
hardware bridge to also forward a copy of frames to the CPU.

I see trap as a different use case. tcpdump/pcap is not going to use
traps.

	Andrew